/meetings/{meeting_id}/attachments Create attachment and assign it to an existing meeting
Before creating an attachment, the file should be uploaded to S3. Make a request to `attachments/s3_form` for a pre-authorized upload form. Following successful upload to S3, files can be attached via this endpoint.
Maintained by the OnePageCRM engineering team
Path parameters
| Name | Type | Description |
|---|---|---|
meeting_id req | string | Meeting ID |
Request body
reference_idstringbson-idID of the meeting associated with the attachment
reference_typestringrequiredType of resource is associated with the attachment
enum: deal Β· note Β· call Β· meeting
contact_idstringbson-idID of the contact, to whom the note belongs
namestringName of the attachment file
keystringrequiredThe same key used in the `attachments/s3_form`, composed as `{contact_id}/{timestamp}/{filename}`
sizeintegerint32Size of the attachment file (in bytes)
link_typestringType of external link (for external `storage_provider`s)
enum: dropbox Β· google_drive Β· evernote
external_urlstringURL for the file (for use with external `storage_provider`s)
Responses
201 Created
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields β
attachmentobjectAdditional files associated with Deals, Notes, Calls or Meetings. They can be uploaded and stored in S3, or stored in external providers i.e. Google Drive, Dropbox, Evernote.
object fields β
idstringbson-idID of the attachment
filenamestringrequiredName of the attachment file
custom_filenamestringCustom name of the attachment file
pinnedbooleanShow if the attachment is pinned to its owner contact
pinned_atstringShows pinned at timestamp. Is null if pinned == false
sizeintegerint32requiredSize of the attachment file (in bytes)
storage_providerstringName of the storage provider (where the attachment file is stored)
enum: amazon Β· google_drive Β· dropbox Β· evernote
urlstringExternal URL of the attachment file
url_expires_atstringdate-timeThe time the attachment URL expires
thumbnailobjectAn image preview of the attachment file (if one exists)
object fields β
urlstringExternal URL of the attachment's thumbnail
Standard error responses: 400 Β· 401 Β· 403 Β· 404 Β· 409 Β· 500 β shared across the API. See Errors.